Leads
Manage leads and prospect records
Retrieve Leads
Create a Lead
Create a new lead. If the email already exists, fails with 422 status code.
Create a Lead › Request Body
emailThe email address.
list_idList ID.
first_nameFirst name of lead.
last_nameLast name of lead.
countryTwo letter country code based on location.
website_urlCompany domain.
positionThe job title of lead.
twitterTwitter handle for the lead.
linkedinLinkedIn URL for the lead.
phone_numberThe phone number of lead.
companyThe company of lead.
notesNotes about the lead.
scoreLead score.
attributesCustom attributes key-value pairs.
Create a Lead › Responses
Lead created successfully.
Retrieve a Single Lead
Retrieve detailed information for a specific lead.
path Parameters
leadIdThe ID of the lead.
Retrieve a Single Lead › Responses
A lead object.
idUnique identifier for the lead
emailLead's email address
firstNameLead's first name
lastNameLead's last name
companyCompany the lead is associated with
titleLead's job title or position
Custom attributes assigned to this lead
Update a lead
Update the fields of a lead using id.
path Parameters
leadIdThe ID of the lead.
Update a lead › Request Body
idUnique identifier for the lead
emailLead's email address
firstNameLead's first name
lastNameLead's last name
companyCompany the lead is associated with
titleLead's job title or position
Custom attributes assigned to this lead
Update a lead › Responses
A lead object.
idUnique identifier for the lead
emailLead's email address
firstNameLead's first name
lastNameLead's last name
companyCompany the lead is associated with
titleLead's job title or position
Custom attributes assigned to this lead